Subject: Re: bug#53909: [PATCH 0/4] 'guix pull -l' no longer displays package lists by default

From: zimoun <[email-masked]>
Date: Thu, 10 Feb 2022 18:51:08 +0100

Hi Ludo,

On Wed, 09 Feb 2022 at 23:12, Ludovic Courtès <[email-masked]> wrote:

> The other day on IRC zimoun noted that ‘guix pull -l’ doesn’t work for
> them because it prints those long package lists, which incidentally
> makes it slower.

My remark is based on the rate of changes.  Let assume that regular
users "pull" once a week – I even guess it is less frequent than that.

Here the number of additions this user would see for the last 10 weeks:

--8<---------------cut here---------------start------------->8---
$ for i in $(seq 10); do git log --after="$(($i + 1)) week ago" --before="$i week ago" --oneline | grep Add | wc -l; done
108
59
84
149
76
212
48
83
46
63
--8<---------------cut here---------------end--------------->8---

And for Update, it reads:

--8<---------------cut here---------------start------------->8---
106
115
103
247
261
134
167
99
100
145
--8<---------------cut here---------------end--------------->8---

Therefore, the current display of “guix pull -l” is not human readable.

> $ ./pre-inst-env guix pull --details -l

Note it hits bug#50472 [1].  Other said,

    guix pull -l --details

does not work as expected.

1:<http://issues.guix.gnu.org/issue/50472

> Ludovic Courtès (4):
>   pull: '--list-generations' doesn't list package changes by default.
>   ui: 'with-paginated-output-port' gives access to the wrapped port.
>   ui: 'display-generation' uses color when talking to a pager.
>   pull: '--list-generations' pipes its output to the pager.

Well, I am mainly running CLI with Emacs ’M-x shell’, so Emacs is my
pager. :-)  However, I have tried with xterm and PAGER=less, nothing is
different.  Do I miss something?

Cheers,
simon